Skip to main content
POST
/
custom_fields
/
section
Create custom field sections
curl --request POST \
  --url https://api.partoo.co/v2/custom_fields/section \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "name": "Primary Information",
  "description": "Contains essential business details",
  "order": 1,
  "slug": "primary-info"
}
'
import requests

url = "https://api.partoo.co/v2/custom_fields/section"

payload = {
"name": "Primary Information",
"description": "Contains essential business details",
"order": 1,
"slug": "primary-info"
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Primary Information',
description: 'Contains essential business details',
order: 1,
slug: 'primary-info'
})
};

fetch('https://api.partoo.co/v2/custom_fields/section', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "section_id": 6
}
{
"errors": {
"json": {}
}
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

org_id
integer

Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.

Body

application/json
name
string
required

The name of the custom field section. Needs to be unique from all other section names.

Maximum string length: 60
Example:

"Section A"

description
string | null

Description of the custom field section

Maximum string length: 150
Example:

"Contains primary business information fields"

slug
string | null

Unique identifier slug for the custom field section. Cannot contain any of the following characters: ,;/\|<>

Required string length: 1 - 100
Pattern: ^[^,;/\\|<>]*$
Example:

"section-a"

order
integer

Describes where the custom field section is displayed on the Business Edit view of the Partoo App.

Example:

18

Response

OK

section_id
integer

Id of the custom field section

Example:

6